package com.ruoyi.bid.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.bid.mapper.BidSiteMapper;
import com.ruoyi.bid.domain.BidSite;
import com.ruoyi.bid.service.IBidSiteService;

/**
 * 常用网站Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-12-09
 */
@Service
public class BidSiteServiceImpl implements IBidSiteService 
{
    @Autowired
    private BidSiteMapper bidSiteMapper;

    /**
     * 查询常用网站
     * 
     * @param id 常用网站主键
     * @return 常用网站
     */
    @Override
    public BidSite selectBidSiteById(Long id)
    {
        return bidSiteMapper.selectBidSiteById(id);
    }

    /**
     * 查询常用网站列表
     * 
     * @param bidSite 常用网站
     * @return 常用网站
     */
    @Override
    public List<BidSite> selectBidSiteList(BidSite bidSite)
    {
        return bidSiteMapper.selectBidSiteList(bidSite);
    }

    /**
     * 新增常用网站
     * 
     * @param bidSite 常用网站
     * @return 结果
     */
    @Override
    public int insertBidSite(BidSite bidSite)
    {
        return bidSiteMapper.insertBidSite(bidSite);
    }

    /**
     * 修改常用网站
     * 
     * @param bidSite 常用网站
     * @return 结果
     */
    @Override
    public int updateBidSite(BidSite bidSite)
    {
        return bidSiteMapper.updateBidSite(bidSite);
    }

    /**
     * 批量删除常用网站
     * 
     * @param ids 需要删除的常用网站主键
     * @return 结果
     */
    @Override
    public int deleteBidSiteByIds(Long[] ids)
    {
        return bidSiteMapper.deleteBidSiteByIds(ids);
    }

    /**
     * 删除常用网站信息
     * 
     * @param id 常用网站主键
     * @return 结果
     */
    @Override
    public int deleteBidSiteById(Long id)
    {
        return bidSiteMapper.deleteBidSiteById(id);
    }
}
